PHP Manual
Prev |  | Next

# dbase_numrecords

(PHP 3, PHP 4, PHP 5)

dbase_numrecords -- Gets the number of records in a database

## Description

int dbase_numrecords ( int dbase_identifier )

Gets the number of records (rows) in the specified database.

> Note: Record numbers are between 1 and dbase_numrecords($db), while field numbers are between 0 and dbase_numfields($db)-1.

## Parameters

dbase_identifier

  The database link identifier, returned by dbase_open() or dbase_create().

## Return Values

The number of records in the database, or `FALSE` if an error occurs.

## Examples

Example 1. Looping over all the records of the database
`<?php // open in read-only mode $db = dbase_open('/tmp/test.dbf', 0); if ($db) { $record_numbers = dbase_numrecords($db); for ($i = 1; $i <= $record_numbers; $i++) { // do something here, for each record } } ?>`

## See Also

dbase_num_fields()

Prev | Home | Next
dbase_numfields | Up | dbase_open